﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.HtmlConverter;
using Syncfusion.Pdf;

namespace HTMLtoPDFWebKit
{
    class Program
    {
        static void Main(string[] args)
        {
            string url = Path.GetFullPath("../../Data/input.html");
            HtmlToPdfConverter htmlConverter = new HtmlToPdfConverter(HtmlRenderingEngine.WebKit);

            WebKitConverterSettings webKitSettings = new WebKitConverterSettings();

            webKitSettings.WebKitPath = "../../QtBinaries";

            //convert waits upto match this window status from script 
            webKitSettings.WindowStatus = "completed";

            htmlConverter.ConverterSettings = webKitSettings;

            PdfDocument document = htmlConverter.Convert(url);

            //Save the document.
            document.Save("Sample.pdf");
        }
    }
}
